View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008659VTK(No Category)public2009-03-03 10:122013-04-05 19:57
ReporterRobert Haines 
Assigned ToFrançois Bertel 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0008659: vtkQuadricLODActor can cause SEGV if no properties set/changed
DescriptionWhen using vtkQuadricLODActor it will cause a segmentation fault if no properties are set on it. This is because its reimplementation of vtkActor::RenderOpaqueGeometry misses a test for a valid vtkProperty instance before calling vtkActor::GetIsOpaque whose first line is this:
int result=this->Property->GetOpacity() >= 1.0;

Property is NULL, so SEGV.

I have attached the obvious trival fix to check for a valid vtkProperty instance and create one if necessary, as vtkActor does.
TagsNo tags attached.
Project
Type
Attached Filespatch file icon vtkQuadricLODActor.patch [^] (772 bytes) 2009-03-03 10:12 [Show Content]

 Relationships

  Notes
(0015512)
Robert Haines (reporter)
2009-03-03 10:16

Also meant to say that the test for vtkQuadricLODActor passes because it sets properties before being activated. I've tested this patch against the provided test and also without any properties being set.
(0015517)
François Bertel (developer)
2009-03-03 12:47

I fixed vtkActor::GetIsOpaque() instead.

Commit to directory "ParaView3/VTK/Rendering" lies in external project VTK
/cvsroot/ParaView3/ParaView3/VTK/Rendering/vtkActor.cxx,v <-- vtkActor.cxx
new revision: 1.140; previous revision: 1.139
(0015518)
François Bertel (developer)
2009-03-03 12:48

See rev 1.140 of VTK/Rendering/vtkActor.cxx

 Issue History
Date Modified Username Field Change
2009-03-03 10:12 Robert Haines New Issue
2009-03-03 10:12 Robert Haines File Added: vtkQuadricLODActor.patch
2009-03-03 10:16 Robert Haines Note Added: 0015512
2009-03-03 12:46 François Bertel Status backlog => tabled
2009-03-03 12:46 François Bertel Assigned To => François Bertel
2009-03-03 12:47 François Bertel Note Added: 0015517
2009-03-03 12:48 François Bertel Note Added: 0015518
2009-03-03 12:48 François Bertel Status tabled => @80@
2009-03-03 12:48 François Bertel Resolution open => fixed
2011-06-16 13:11 Zack Galbreath Category => (No Category)
2013-04-05 19:57 Berk Geveci Status customer review => closed


Copyright © 2000 - 2018 MantisBT Team